
//+------------------------------------------------------------------+ 
//|  _TRO_CandleColor_Multi_1                                        | 
//|                                                                  | 
//|   Copyright  2007, Avery T. Horton, Jr. aka TheRumpledOne       |
//|                                                                  |
//|   PO BOX 43575, TUCSON, AZ 85733                                 |
//|                                                                  |
//|   GIFT AND DONATIONS ACCEPTED                                    | 
//|                                                                  |  
//|    http://docs.mql4.com/constants/wingdings                      |                                         |
//+------------------------------------------------------------------+

#property copyright "" 

#property link      "" 

#property indicator_chart_window 

//---- input parameters 

extern int myystart=100  ;
extern int myxstart=130 ;

//extern string myPair = "USDJPY" ;

extern int myPeriod1  = 1 ;
extern int myPeriod2  = 15 ;
extern int myPeriod3  = 60 ;
extern int myPeriod4  = 240 ;
extern int myPeriod5  = 1440 ;
extern int myPeriod6  = 10080 ;
extern int myPeriod7  = 43200 ;


string Alphabet[] = {"i","h","g","f","e","d","c","b","a"};

//+------------------------------------------------------------------+ 
//| Custom indicator initialization function                         | 
//+------------------------------------------------------------------+ 
int init() 
  { 
  
     initGraph();
  
//---- 
   return(0); 
  } 
//+------------------------------------------------------------------+ 
//| Custom indicator deinitialization function                       | 
//+------------------------------------------------------------------+ 
int deinit() 
  { 
//---- 
    
//---- 
   return(0); 
  } 
//+------------------------------------------------------------------+ 
//| Custom indicator iteration function                              | 
//+------------------------------------------------------------------+ 
string Period2Text(int TmPeriod)
{
  switch (TmPeriod)
  {
    case PERIOD_M1  : return("M1");
    case PERIOD_M5  : return("M5");
    case PERIOD_M15 : return("M15");
    case PERIOD_M30 : return("M30");
    case PERIOD_H1  : return("H1");
    case PERIOD_H4  : return("H4");
    case PERIOD_D1  : return("D1");
    case PERIOD_W1  : return("W1");
    case PERIOD_MN1 : return("MN1");
  }      
  return ("ERR");
}


//+---------------

double prOpen(int i, int j)
{
  return (iOpen( NULL , i,j));
}
//+---------------
double prHigh(int i, int j)
{
  return (iHigh( NULL , i,j));
}
//+---------------
double prMid(int i, int j)
{
  double _Mid = ( iHigh( NULL , i,j) + iLow( NULL , i,j) ) * 0.5 ;
  return (_Mid);
}
//+---------------

double prLow(int i, int j)
{
  return (iLow( NULL , i,j));
}
//+---------------
double prClose(int i, int j)
{
  return (iClose( NULL , i,j));
}
//+---------------
double prRange(int i, int j)
{
  double _Range = ( iHigh( NULL , i,j) - iLow( NULL , i,j) ) ;
  return (_Range);
}
//+---------------

int start() 
  { 
   double day_high1        = prHigh( myPeriod1, 0 );
   double day_low1         = prLow( myPeriod1, 0 );
   double day_close1       = prClose( myPeriod1, 0 ); 
   double day_open1        = prOpen( myPeriod1, 0 ); 
   double day_mid1         = prMid( myPeriod1, 0 ); 
   double day_range1       = prRange( myPeriod1, 0 ); 

   double day_high2        = prHigh( myPeriod2, 0 );
   double day_low2         = prLow( myPeriod2, 0 );
   double day_close2       = prClose( myPeriod2, 0 ); 
   double day_open2        = prOpen( myPeriod2, 0 ); 
   double day_mid2         = prMid( myPeriod2, 0 ); 
   double day_range2       = prRange( myPeriod2, 0 );
   
   double day_high3        = prHigh( myPeriod3, 0 );
   double day_low3         = prLow( myPeriod3, 0 );
   double day_close3       = prClose( myPeriod3, 0 ); 
   double day_open3        = prOpen( myPeriod3, 0 ); 
   double day_mid3         = prMid( myPeriod3, 0 ); 
   double day_range3       = prRange( myPeriod3, 0 ); 

   double day_high4        = prHigh( myPeriod4, 0 );
   double day_low4         = prLow( myPeriod4, 0 );
   double day_close4       = prClose( myPeriod4, 0 ); 
   double day_open4        = prOpen( myPeriod4, 0 ); 
   double day_mid4         = prMid( myPeriod4, 0 ); 
   double day_range4       = prRange( myPeriod4, 0 );
   
   double day_high5        = prHigh( myPeriod5, 0 );
   double day_low5         = prLow( myPeriod5, 0 );
   double day_close5       = prClose( myPeriod5, 0 ); 
   double day_open5        = prOpen( myPeriod5, 0 ); 
   double day_mid5         = prMid( myPeriod5, 0 ); 
   double day_range5       = prRange( myPeriod5, 0 ); 

   double day_high6        = prHigh( myPeriod6, 0 );
   double day_low6         = prLow( myPeriod6, 0 );
   double day_close6       = prClose( myPeriod6, 0 ); 
   double day_open6        = prOpen( myPeriod6, 0 ); 
   double day_mid6         = prMid( myPeriod6, 0 ); 
   double day_range6       = prRange( myPeriod7, 0 );

   double day_high7        = prHigh( myPeriod7, 0 );
   double day_low7         = prLow( myPeriod7, 0 );
   double day_close7       = prClose( myPeriod7, 0 ); 
   double day_open7        = prOpen( myPeriod7, 0 ); 
   double day_mid7         = prMid( myPeriod7, 0 ); 
   double day_range7       = prRange( myPeriod7, 0 );   
   
   double day_diff1        = day_close1 - day_open1 ;
   double day_diff2        = day_close2 - day_open2 ;     
   double day_diff3        = day_close3 - day_open3 ;
   double day_diff4        = day_close4 - day_open4 ;     
   double day_diff5        = day_close5 - day_open5 ;
   double day_diff6        = day_close6 - day_open6 ;     
   double day_diff7        = day_close7 - day_open7 ;
 
      


   objectBlank();   
   paintCol1(day_diff1);  
   paintCol2(day_diff2);  
   paintCol3(day_diff3);  
   paintCol4(day_diff4);    
   paintCol5(day_diff5); 
   paintCol6(day_diff6);    
   paintCol7(day_diff7);  
   paintLine();
   
   
   
 
//---- 
   return(0); 
  } 
//+------------------------------------------------------------------+ 


void initGraph()
  {
  
int xstart=myxstart, xinc=20;

int ystart=myystart, yinc=8;
int ystart1=ystart+yinc;
int ystart2=ystart+yinc*2;
int ystart3=ystart+yinc*3;
int ystart4=ystart+yinc*4;
int ystart5=ystart+yinc*5;  
  
   deleteObject();
   
   objectCreate("Col1_5",xstart,ystart);
   objectCreate("Col1",xstart+2,ystart+1,Period2Text(myPeriod1),7,"Arial Narrow",SkyBlue);
   objectCreate("Col1p",xstart+4,ystart+10,DoubleToStr(9,1),8,"Arial Narrow",Silver);   

int xstart2 =  xstart - xinc ;  
   objectCreate("Col2_5",xstart2,ystart);
   objectCreate("Col2",xstart2+2,ystart+1,Period2Text(myPeriod2),7,"Arial Narrow",SkyBlue);
   objectCreate("Col2p",xstart2+4,ystart+10,DoubleToStr(9,1),8,"Arial Narrow",Silver);

int xstart3 =  xstart2 - xinc ;
   objectCreate("Col3_5",xstart3,ystart);
   objectCreate("Col3",xstart3+2,ystart+1,Period2Text(myPeriod3),7,"Arial Narrow",SkyBlue);
   objectCreate("Col3p",xstart3+4,ystart+10,DoubleToStr(9,1),8,"Arial Narrow",Silver);

int xstart4 =  xstart3 - xinc ;
   objectCreate("Col4_5",xstart4,ystart);
   objectCreate("Col4",xstart4+2,ystart+1,Period2Text(myPeriod4),7,"Arial Narrow",SkyBlue);
   objectCreate("Col4p",xstart4+4,ystart+10,DoubleToStr(9,1),8,"Arial Narrow",Silver);

int xstart5 =  xstart4 - xinc ;
   objectCreate("Col5_5",xstart5,ystart);
   objectCreate("Col5",xstart5+2,ystart+1,Period2Text(myPeriod5),7,"Arial Narrow",SkyBlue);
   objectCreate("Col5p",xstart5+4,ystart+10,DoubleToStr(9,1),8,"Arial Narrow",Silver);
   
int xstart6 =  xstart5 - xinc ;
   objectCreate("Col6_5",xstart6,ystart);
   objectCreate("Col6",xstart6+2,ystart+1,Period2Text(myPeriod6),7,"Arial Narrow",SkyBlue);
   objectCreate("Col6p",xstart6+4,ystart+10,DoubleToStr(9,1),8,"Arial Narrow",Silver);

int xstart7 =  xstart6 - xinc ;  
   objectCreate("Col7_5",xstart7,ystart);
   objectCreate("Col7",xstart7+2,ystart+1,Period2Text(myPeriod7),7,"Arial Narrow",SkyBlue);
   objectCreate("Col7p",xstart7+4,ystart+10,DoubleToStr(9,1),8,"Arial Narrow",Silver);
   
   
//   objectCreate("line97",10,69,"-----------------------------------",10,"Arial",DimGray);
//   objectCreate("signcc",11,1,"Candle Color Multi   ",8,"Arial Narrow",Yellow);
   objectCreate("signcc",xstart7,ystart-10,"Candle Color Multi   ",8,"Arial Narrow",DimGray);
  }  
  
//+------------------------------------------------------------------+
void objectCreate(string name,int x,int y,string text="-",int size=42,
                  string font="Arial",color colour=CLR_NONE)
  {
   ObjectCreate(name,OBJ_LABEL,0,0,0);
   ObjectSet(name,OBJPROP_CORNER,3);
   ObjectSet(name,OBJPROP_COLOR,colour);
   ObjectSet(name,OBJPROP_XDISTANCE,x);
   ObjectSet(name,OBJPROP_YDISTANCE,y);
   ObjectSetText(name,text,size,font,colour);
  }
  
void deleteObject()
  {  
   ObjectDelete("signcc");
   
   ObjectDelete("Col1_5");
   ObjectDelete("Col1");
   ObjectDelete("Col1p");
   
   ObjectDelete("Col2_5");
   ObjectDelete("Col2");
   ObjectDelete("Col2p");
   
   ObjectDelete("Col3_5");
   ObjectDelete("Col3");
   ObjectDelete("Col3p");

   ObjectDelete("Col4_5");
   ObjectDelete("Col4");
   ObjectDelete("Col4p");
   
   ObjectDelete("Col5_5");
   ObjectDelete("Col5");
   ObjectDelete("Col5p"); 
     
   ObjectDelete("Col6_5");
   ObjectDelete("Col6");
   ObjectDelete("Col6p");
   
   ObjectDelete("Col7_5");
   ObjectDelete("Col7");
   ObjectDelete("Col7p");
   
  }
  
void objectBlank()
  {
   ObjectSet("Col1_5",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("Col1",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("Col1p",OBJPROP_COLOR,CLR_NONE);

   ObjectSet("Col2_5",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("Col2",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("Col2p",OBJPROP_COLOR,CLR_NONE);

   ObjectSet("Col3_5",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("Col3",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("Col3p",OBJPROP_COLOR,CLR_NONE);

   ObjectSet("Col4_5",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("Col4",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("Col4p",OBJPROP_COLOR,CLR_NONE);

   ObjectSet("Col5_5",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("Col5",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("Col5p",OBJPROP_COLOR,CLR_NONE);
   
   ObjectSet("Col6_5",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("Col6",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("Col6p",OBJPROP_COLOR,CLR_NONE);
   
   ObjectSet("Col7_5",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("Col7",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("Col7p",OBJPROP_COLOR,CLR_NONE);      
   
   ObjectSet("line98",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("line97",OBJPROP_COLOR,CLR_NONE); 
  }
  
void paintCol1(double value)
  {
   if (value < 0) ObjectSet("Col1_5",OBJPROP_COLOR,Red);
   if (value == 0) ObjectSet("Col1_5",OBJPROP_COLOR,Yellow);
   if (value > 0) ObjectSet("Col1_5",OBJPROP_COLOR,Lime);
   ObjectSet("Col1",OBJPROP_COLOR,SkyBlue);
   // ObjectSetText("Col1p",DoubleToStr(value,1),8,"Arial Narrow",Silver);
   GlobalVariableSet("Col1",value);
  }
  
void paintCol2(double value)
  {
   if (value < 0) ObjectSet("Col2_5",OBJPROP_COLOR,Red);
   if (value == 0) ObjectSet("Col2_5",OBJPROP_COLOR,Yellow);
   if (value > 0) ObjectSet("Col2_5",OBJPROP_COLOR,Lime);   
   ObjectSet("Col2",OBJPROP_COLOR,SkyBlue);
   // ObjectSetText("Col2p",DoubleToStr(value,1),8,"Arial Narrow",Silver);
   GlobalVariableSet("Col2",value);
  }


void paintCol3(double value)
  {
   if (value < 0) ObjectSet("Col3_5",OBJPROP_COLOR,Red);
   if (value == 0) ObjectSet("Col3_5",OBJPROP_COLOR,Yellow);
   if (value > 0) ObjectSet("Col3_5",OBJPROP_COLOR,Lime);   
   ObjectSet("Col3",OBJPROP_COLOR,SkyBlue);
   // ObjectSetText("Col3p",DoubleToStr(value,1),8,"Arial Narrow",Silver);
   GlobalVariableSet("Col3",value);
  }

void paintCol4(double value)
  {
   if (value < 0) ObjectSet("Col4_5",OBJPROP_COLOR,Red);
   if (value == 0) ObjectSet("Col4_5",OBJPROP_COLOR,Yellow);
   if (value > 0) ObjectSet("Col4_5",OBJPROP_COLOR,Lime);   
   ObjectSet("Col4",OBJPROP_COLOR,SkyBlue);
   // ObjectSetText("Col4p",DoubleToStr(value,1),8,"Arial Narrow",Silver);
   GlobalVariableSet("Col4",value);
  }

void paintCol5(double value)
  {
   if (value < 0) ObjectSet("Col5_5",OBJPROP_COLOR,Red);
   if (value == 0) ObjectSet("Col5_5",OBJPROP_COLOR,Yellow);
   if (value > 0) ObjectSet("Col5_5",OBJPROP_COLOR,Lime);   
   ObjectSet("Col5",OBJPROP_COLOR,SkyBlue);
   // ObjectSetText("Col5p",DoubleToStr(value,1),8,"Arial Narrow",Silver);
   GlobalVariableSet("Col5",value);
  }

void paintCol6(double value)
  {
   if (value < 0) ObjectSet("Col6_5",OBJPROP_COLOR,Red);
   if (value == 0) ObjectSet("Col6_5",OBJPROP_COLOR,Yellow);
   if (value > 0) ObjectSet("Col6_5",OBJPROP_COLOR,Lime);   
   ObjectSet("Col6",OBJPROP_COLOR,SkyBlue);
   // ObjectSetText("Col6p",DoubleToStr(value,1),8,"Arial Narrow",Silver);
   GlobalVariableSet("Col6",value);
  }

void paintCol7(double value)
  {
   if (value < 0) ObjectSet("Col7_5",OBJPROP_COLOR,Red);
   if (value == 0) ObjectSet("Col7_5",OBJPROP_COLOR,Yellow);
   if (value > 0) ObjectSet("Col7_5",OBJPROP_COLOR,Lime);   
   ObjectSet("Col7",OBJPROP_COLOR,SkyBlue);
   // // ObjectSetText("Col7p",DoubleToStr(value,1),8,"Arial Narrow",Silver);
   GlobalVariableSet("Col7",value);
  }
  

  
void paintLine()
  {
 //  ObjectSet("line98",OBJPROP_COLOR,DimGray);
 //  ObjectSet("line97",OBJPROP_COLOR,DimGray);
  }