
//+------------------------------------------------------------------+ 
//| Support and Resistance | 
//| Copyright ? 2004 Barry Stander | 
//| http://myweb.absa.co.za/stander/4meta/ | 
//+------------------------------------------------------------------+ 
#property copyright "Click here: Barry Stander" 
#property link "http://myweb.absa.co.za/stander/4meta/" 

#property indicator_chart_window 
#property indicator_buffers 2 
#property indicator_color1 DeepPink 
#property indicator_color2 LightBlue 


extern int myWingDing  = 119 ;
extern bool Horizontal = true ;
extern int myChartY = 50 ;


//---- buffers 
double v1_M1[], v2_M1[], val1_M1, val2_M1;  

double v1[]; 
double v2[]; 

double val1; 
double val2; 
double v1_M5[]; 
double v2_M5[]; 

double val1_M5; 
double val2_M5; 

double v1_M15[]; 
double v2_M15[]; 

double val1_M15; 
double val2_M15; 

double v1_M30[]; 
double v2_M30[]; 

double val1_M30; 
double val2_M30; 

double v1_H1[], v2_H1[], val1_H1, val2_H1; 
double v1_H4[], v2_H4[], val1_H4, val2_H4; 
double v1_D1[], v2_D1[], val1_D1, val2_D1; 
double xPos[]; 

int i; 
//+------------------------------------------------------------------+ 
//| | 
//+------------------------------------------------------------------+ 
int init() 
{ 
//---- drawing settings 
SetIndexArrow(0, myWingDing); 
SetIndexArrow(1, myWingDing); 
//---- 
SetIndexStyle(0, DRAW_ARROW, STYLE_DOT ,  1); 
SetIndexDrawBegin(0, i-1); 
SetIndexBuffer(0, v1_M5); 
SetIndexLabel(0,"Resistance"); 
//---- 
SetIndexStyle(1, DRAW_ARROW, STYLE_DOT , 1); 
SetIndexDrawBegin(1,i-1); 
SetIndexBuffer(1, v2_M5); 
SetIndexLabel(1,"Support"); 
//---- 
return(0); 
} 

//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
   
   ObjectDelete("SupRes");
   ObjectDelete("line5SupRes");
   ObjectDelete("R3_LabelOHLMC");
   ObjectDelete("R3_ValueOHLMC");
   ObjectDelete("R2_LabelOHLMC");
   ObjectDelete("R2_ValueOHLMC");
   
   return(0);
  }

//+------------------------------------------------------------------+ 
//| | 
//+------------------------------------------------------------------+ 
int start() 
{ 
i = Bars; 
while(i >= 0) 
{ 


double val1_M1 = iFractals(NULL,PERIOD_M1, MODE_UPPER, i); 
if(val1_M1 > 0) { v1_M1[i] = iHigh(NULL,PERIOD_M1,i); } else v1_M1[i] = v1_M1[i+1];
double R_M1 = v1_M1[i] ; 

double val2_M1 = iFractals(NULL, PERIOD_M1, MODE_LOWER, i); 
if(val2_M1 > 0) { v2_M1[i] = iLow(NULL,PERIOD_M1,i);  } else v2_M1[i] = v2_M1[i+1]; 
double S_M1 = v2_M1[i] ;
 
double xRet_M1 = iClose(NULL,PERIOD_M1,i) - S_M1 ;

double xRange =  R_M1 - S_M1 ;
if(xRange != 0) { double SR1_M1 =  ( 100 * xRet_M1 ) / (xRange );  }

Print("-----  M1  ------ ", TimeToStr(TimeCurrent()));
Print("v1_M1[i] is ", DoubleToStr(v1_M1[i],4) ); 
Print("v2_M1[i] is ", DoubleToStr(v2_M1[i],4) ); 
Print("R_M1 is ", DoubleToStr(R_M1,4) ); 
Print("S_M1 is ", DoubleToStr(S_M1,4) );
Print("xRet_M1 is ", DoubleToStr(xRet_M1,4) );
Print("SR1_M1 is ", DoubleToStr(SR1_M1,4) );

double val1_M5 = iFractals(NULL,PERIOD_M5, MODE_UPPER, i); 
if(val1_M5 > 0) { v1_M5[i] = iHigh(NULL,PERIOD_M5,i); } else v1_M5[i] = v1_M5[i+1];
double R_M5 = v1_M5[i] ; 

double val2_M5 = iFractals(NULL, PERIOD_M5, MODE_LOWER, i); 
if(val2_M5 > 0) { v2_M5[i] = iLow(NULL,PERIOD_M5,i);  } else v2_M5[i] = v2_M5[i+1]; 
double S_M5 = v2_M5[i] ;
 
double xRet_M5 = iClose(NULL,PERIOD_M5,i) - S_M5 ;

xRange =  R_M5 - S_M5 ;
if(xRange != 0) { double SR1_M5 =  ( 100 * xRet_M5 ) / (xRange );  }

Print(" ---- M5 ------ ", TimeToStr(TimeCurrent()));
Print("val1_M5 is ", DoubleToStr(val1_M5,4) ); 
Print("R_M5 is ", DoubleToStr(R_M5,4) ); 
Print("S_M5 is ", DoubleToStr(S_M5,4) );
Print("xRet_M5 is ", DoubleToStr(xRet_M5,4) );
Print("SR1_M5 is ", DoubleToStr(SR1_M5,4) );

i--; 
} 



   
	

 
   
   return(0); 
} 